#########################################################################################################
############ R-code for Exercise 1.7   in Dynamic Econometricsfor Emprirical Macroeconometric Modelling #
#########################################################################################################
# Ragnar Nymoen 30 Jan 2020

# The data set used in the exerscise is downloaded by from the Chapter 1-FULTON link on 
# http://normetrics.no/dynamic-econometrics-for-empirical-macroeconomic-modelling/
# The only file used is fish.xlsx which should therefore be placed in you own working directory
# used for this exercise


### Exercise 1


install.packages("xts")
install.packages("tidyverse")

library(xts)
library(tidyverse)
library(readxl)
setwd("C:/NORMETRICS/RforR")       #Need to change this to be your own working directory
fish <- read_excel("fish.xlsx")
fish$Day<-as.yearqtr(fish$YEAR,format = "%D%") 
str(fish) 
# 
# 
View(fish)
fish<-as.xts(fish[,2:ncol(fish)], order.by=fish$Day)
View(fish)


# Exercise 2

## To investigate autocorrelation it is a good idea to plot: 


install.packages("tseries")
install.packages("dynlm")
library(tseries)
library(dynlm)
# Can now make graph (line plot) of the variable pricelevel (unit price of withing in USD) 
plot(index(fish),fish$pricelevel,type = "l", xlab="Day", ylab="pricelevel")
# and for tots
plot(index(fish),fish$tots,type = "l", xlab="Day", ylab="tots")



#Exercise 3
# Can now make graph (line plot) of the variable price, 
# which is the log of pricelevel (unit price of withing in USD) 
plot(index(fish),fish$price,type = "l", xlab="Day", ylab="price =log(pricelevel)")
# and of qty which is log of tots
plot(index(fish),fish$qty,type = "l", xlab="Day", ylab="qty=log(tots")


